﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS2721B (1 yr) HF Response VER VISA /437,SWPG
DATE:                  2009-11-17
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       81
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2721B
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub MS272xB Power Splitter Characterization /437,SWPG
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#        Sub Anritsu MS272xB Set Ref Level VISA /SWPG
#        Sub MS272xB HF Frequency Response Tests VISA /437,SWPG
#
#  Required Files:
#        11667A_<Asset11667A>_char.ini
#        swpg_8481a_ms272x_freq_resp.jpg
#        swpg_8481d_ms272x_freq_resp.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         ABSOLUTE AMPLITUDE ACCURACY
  1.002  TARGET       -p

  1.003  IF           @LowTest
  1.004  RSLT         =
  1.005  RSLT         =5 GHz
  1.006  MATH         @Freq = 5E+9
  1.007  PIC          swpg_8481d_ms272x_freq_resp.jpg
  1.008  CALL         Sub MS272xB HF Response Tests (Low) VISA /437,SWPG
  1.009  ELSE
  1.010  CALL         Sub MS272xB Power Splitter Characterization /437,SWPG
  1.011  MATH         @Freq = 5E+9
  1.012  PIC          swpg_8481a_ms272x_freq_resp.jpg
  1.013  CALL         Sub MS272xB HF Response Tests (High) VISA /437,SWPG
  1.014  ENDIF

  1.015  IF           @LowTest
  1.016  RSLT         =
  1.017  RSLT         =6 GHz
  1.018  MATH         @Freq = 6E+9
  1.019  CALL         Sub MS272xB HF Response Tests (Low) VISA /437,SWPG
  1.020  ELSE
  1.021  MATH         @Freq = 6E+9
  1.022  CALL         Sub MS272xB HF Response Tests (High) VISA /437,SWPG
  1.023  ENDIF

  1.024  IF           @LowTest
  1.025  RSLT         =
  1.026  RSLT         =7 GHz
  1.027  MATH         @Freq = 7E+9
  1.028  CALL         Sub MS272xB HF Response Tests (Low) VISA /437,SWPG
  1.029  ELSE
  1.030  MATH         @Freq = 7E+9
  1.031  CALL         Sub MS272xB HF Response Tests (High) VISA /437,SWPG
  1.032  ENDIF

  1.033  VISA         SYST:PRES
  1.034  HEAD
  1.035  END
